com.tibbo.aggregate.common.server

## Interface ServerContextManager<T extends ServerContext>

- All Superinterfaces:
    ContextManager<T>

      public interface ServerContextManager<T extends ServerContext>
      extends ContextManager<T>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventAction(EntityRelatedActionDescriptor action)`
    `void` | `addVariableAction(EntityRelatedActionDescriptor action)`
    `DaoFactory` | `getDaoFactory()`
    `java.util.List<EntityRelatedActionDescriptor>` | `getEventActions()`
    `PermissionChecker` | `getPermissionChecker()`
    `SessionLogger` | `getSessionLogger()`
    `java.util.List<EntityRelatedActionDescriptor>` | `getVariableActions()`
    `java.util.Map<java.lang.String,VariableValidator>` | `getVariableValidators()`
    `default boolean` | `isServerManager()`
    `void` | `updateVariableValidators(DataTable value)`

    - ### Methods inherited from interface com.tibbo.aggregate.common.context.ContextManager

      `addMaskEventListener, addMaskEventListener, contextAdded, contextInfoChanged, contextRemoved, eventAdded, eventRemoved, functionAdded, functionRemoved, get, get, getCallerController, getEventQueueLength, getEventQueueStatistics, getEventsProcessed, getEventsScheduled, getExecutorService, getFormatCache, getPluginDirector, getRoot, getScope, isStarted, queue, removeMaskEventListener, restart, start, stop, variableAdded, variableRemoved`

- - ### Method Detail

    - #### addVariableAction

          void addVariableAction(EntityRelatedActionDescriptor action)

    - #### addEventAction

          void addEventAction(EntityRelatedActionDescriptor action)

    - #### getVariableActions

          java.util.List<EntityRelatedActionDescriptor> getVariableActions()

    - #### getEventActions

          java.util.List<EntityRelatedActionDescriptor> getEventActions()

    - #### getPermissionChecker

          PermissionChecker getPermissionChecker()

    - #### getDaoFactory

          DaoFactory getDaoFactory()

    - #### getSessionLogger

          SessionLogger getSessionLogger()

    - #### getVariableValidators

          java.util.Map<java.lang.String,VariableValidator> getVariableValidators()

    - #### updateVariableValidators

          void updateVariableValidators(DataTable value)

    - #### isServerManager

          default boolean isServerManager()

      Specified by:
        `isServerManager` in interface `ContextManager<T extends ServerContext>`